## org.apache.ivy.ant
Class IvyCacheFileset

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyPostResolveTask
                      org.apache.ivy.ant.IvyCacheTask
                          org.apache.ivy.ant.IvyCacheFileset

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyCacheFileset

extends IvyCacheTask

Creates an ant fileset consisting in all artifacts found during a resolve. Note that this task is not compatible with the useOrigin mode.

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyCacheFileset()`

Method Summary
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` `getSetid()`
`void` `setSetid(java.lang.String id)`
`void` `setUseOrigin(boolean useOrigin)`

Methods inherited from class org.apache.ivy.ant.IvyCacheTask
`getArtifactReports`

Methods inherited from class org.apache.ivy.ant.IvyPostResolveTask

`createConflict, createDependency, createExclude, ensureResolved, getArtifactFilter, getBranch, getConf, getConfsToResolve, getConfsToResolve, getFile, getLog, getModule, getOrganisation, getResolvedModuleId, getResolvedMrid, getResolvedReport, getResolveId, getResolveMode, getRevision, getType, isChanging, isHaltonfailure, isInline, isKeep, isRefresh, isTransitive, isUseOrigin, prepareAndCheck, setBranch, setCache, setChanging, setConf, setFile, setHaltonfailure, setInline, setKeep, setLog, setModule, setOrganisation, setRefresh, setResolveId, setResolveMode, setRevision, setTransitive, setType, setupResolve`

Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyCacheFileset

    public IvyCacheFileset()

Method Detail

### getSetid

    public java.lang.String getSetid()

### setSetid

    public void setSetid(java.lang.String id)

### setUseOrigin

    public void setUseOrigin(boolean useOrigin)

  Overrides:
    `setUseOrigin` in class `IvyPostResolveTask`

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`